Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## charva.awt
Class Dialog

    java.lang.Object
      charva.awt.Component
          charva.awt.Container
              charva.awt.Window
                  charva.awt.Dialog

All Implemented Interfaces:
  java.lang.Runnable

Direct Known Subclasses:
  JDialog

public class Dialog
extends Window

The Dialog class is similar to a Frame but includes a blank area around the border frame. This makes the dialog more clearly visible when it is displayed on top of a cluttered screen.

Field Summary

Fields inherited from class charva.awt.Window
`_term`

Fields inherited from class charva.awt.Container
`_components, _currentFocus, _insets, _isValid, _layoutMgr, _minimumSize, _size`

Fields inherited from class charva.awt.Component
`_alignmentX, _alignmentY, _background, _cursesColor, _enabled, _focusListeners, _foreground, _keyListeners, _origin, _parent, _visible, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`Dialog(Dialog owner_)`
`Dialog(Dialog owner_, java.lang.String title_)`
`Dialog(Frame owner_)` Creates a modal dialog without a title and with a Frame owner.
`Dialog(Frame owner_, java.lang.String title_)`

Method Summary
`void` | `debug(int level_)`
`void` | `draw()` Draw all the components in this window, and request the keyboard focus.
`boolean` | `isModal()`
`void` | `setModal(boolean modal_)` This method does nothing because dialogs are ALWAYS modal in the CHARVA package.
`void` | `setTitle(java.lang.String title_)`

Methods inherited from class charva.awt.Window
`addWindowListener, adjustLocation, getLocationOnScreen, getOwner, hide, isDisplayed, isFocusTraversable, pack, processEvent, processWindowEvent, run, show`

Methods inherited from class charva.awt.Container
`add, add, doLayout, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getCurrentFocus, getHeight, getInsets, getSize, getWidth, invalidate, isValid, minimumSize, nextFocus, previousFocus, processKeyEvent, remove, requestFocus, setBackground, setFocus, setForeground, setHeight, setLayout, setSize, setSize, setWidth, validate`

Methods inherited from class charva.awt.Component
`addFocusListener, addKeyListener, contains, contains, getAlignmentX, getAlignmentY, getAncestorWindow, getBackground, getBounds, getCursesColor, getForeground, getLocation, getName, getParent, hasFocus, isEnabled, isTotallyObscured, isVisible, processFocusEvent, processMouseEvent, repaint, requestSync, setBounds, setBounds, setBounds, setEnabled, setLocation, setLocation, setName, setParent, setVisible, validateCursesColor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dialog

    public Dialog(Frame owner_)

  Creates a modal dialog without a title and with a Frame owner.

### Dialog

    public Dialog(Frame owner_,
                  java.lang.String title_)

### Dialog

    public Dialog(Dialog owner_)

### Dialog

    public Dialog(Dialog owner_,
                  java.lang.String title_)

Method Detail

### setTitle

    public void setTitle(java.lang.String title_)

### setModal

    public void setModal(boolean modal_)

  This method does nothing because dialogs are ALWAYS modal in the CHARVA package.

### isModal

    public boolean isModal()

### draw

    public void draw()

  Description copied from class: `Window`
  Draw all the components in this window, and request the keyboard focus.

  Overrides:
    `draw` in class `Window`

### debug

    public void debug(int level_)

  Overrides:
    `debug` in class `Window`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD